# -*- coding: utf-8 -*-
import clr
import sys
import System

sys.path.append(UI.StartupPath+'\Script\Module\dll')
clr.AddReferenceToFile("EasyScript.dll")
from EasyScript import *
EasyScript = EasyScript()

URL="http://www.u-file.net/"

UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※【免空科學研究所 　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】※")
UI.UpdateLog("※～㊣　　　　　　　　 　　傻Ｂ　　製作分享　　　　　　　㊣～※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13")
UI.UpdateLog("【上傳空間】：u-file.net")
UI.UpdateLog("【上傳大小】：202 MB")
UI.UpdateLog("【砍檔時間】：未知")
UI.UpdateLog("【腳本功能】：無帳號上傳")
UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)

HTML=HTTP.GetURL(URL)
UP_LINK=EasyScript.GetstrToVariable(HTML,'form-data" action="','"',1)
UI.UpdateLog("開始進入上傳頁面…",2)
HTTP.AddUpParam("group","")
HTTP.AddUpParam("des",UI.FileName)
HTTP.AddUpParam("private","ON")
HTTP.AddUpParam("tousa","ON")
HTTP.AddUpParam("agree","ON")
HTTP.AddUpParam("post","Upload")
HTTP.AddFileReference("file")
HTML=UI.UpFile(UP_LINK)
DL_LINK=EasyScript.GetstrToVariable(HTML,'[URL=',']',1)
if DL_LINK!=False:
	DE_ID=EasyScript.GetstrToVariable(HTML,"http://www.u-file.net/fdelete.php?","<",1)
	DE_LINK="http://www.u-file.net/fdelete.php?"+DE_ID
	UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)
        UI.UpdateLog("下載連結：",4)
        UI.UpdateLog(DL_LINK)
        UI.UpdateLog("刪檔連結：",3)
        UI.UpdateLog(DE_LINK)
        UI.AddShareLink(DL_LINK)
        UI.ProceSuccess()
else:
        UI.UpdateLog("無法取得網址",3)
        UI.ProceFalse()